Topic: Windows XP - Rmagick conflicts when running rails server

Hi everyone,

I am running Windows XP with Ruby 1.8.4 installed.

I have 2 projects, one that runs a Captia, and the other dynamically resizes images, etc...

I am running the bundled package of 1.13.0 located here: http://rubyforge.org/frs/?group_id=12

Specifically: rmagick-1.13.0-IM-6.2.9-0-win32.zip

The project that runs the Captia runs just fine using this version of Rmagick and Image Magick. However, the project that runs the resized images, etc... has stuff like the file_column plugin installed, which has something to do with the dynamic resizing of the images. I am a newbie, so my terms might be wrong.

The following is the error I receive when trying to start my webrick server:

-------------------------------
1620
=> Booting WEBrick...
c:/ruby/lib/ruby/gems/1.8/gems/activesupport-1.3.1/lib/active_support/dependencies.rb:123:in `const_missing': uninitialized constant Enum (NameError)
    from c:/ruby/lib/ruby/gems/1.8/gems/rmagick-1.13.0-win32/lib/RMagick.rb:28
    from c:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:33:in `require'
    from c:/ruby/lib/ruby/gems/1.8/gems/activesupport-1.3.1/lib/active_support/dependencies.rb:147:in `require'
    from ./script/../config/../vendor/plugins/captcha/init.rb:4:in `load_plugin'
    from c:/ruby/lib/ruby/gems/1.8/gems/rails-1.1.6/lib/initializer.rb:348:in `load_plugin'
    from c:/ruby/lib/ruby/gems/1.8/gems/activesupport-1.3.1/lib/active_support/core_ext/kernel/reporting.rb:11:in `silence_warnings'
    from c:/ruby/lib/ruby/gems/1.8/gems/rails-1.1.6/lib/initializer.rb:348:in `load_plugin'
    from c:/ruby/lib/ruby/gems/1.8/gems/rails-1.1.6/lib/initializer.rb:158:in `load_plugins'
     ... 10 levels...
    from c:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `require'
    from c:/ruby/lib/ruby/gems/1.8/gems/activesupport-1.3.1/lib/active_support/dependencies.rb:147:in `require'
    from ./script/server:3
    from -e:4
------------------------------

Can any of you think of why I am getting this error. I WOULD NOT get this error back when I had Rmagick 1.9.2 installed...however that would cause me all sorts of grief and invalid char errors which was an unbelievable headache.

Let me know if you have additional questions I can answer to help find a solution.

Thanks,
Bryan

Re: Windows XP - Rmagick conflicts when running rails server

I have fixed the problem.

Long story short, I "did not" follow all the instructions in the readme file in my 1.13.0-win32 directory.

Going back over it, I properly "cleared myself to square 1" by removing any rmagicks, deleting imagemagick including going into the registry and finding those related keys, etc...

Then, I properly installed imagemagick first, ran the test, then installed the gem.

What was happening was I still have references in my system pointing to old installations of imagemagick and even old files of rmagick 1.9.2

Reading instructions CAN help smile

Thanks
Bryan